package com.qmth.themis.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 视频result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/5/4
 */
public class VideoQueryResult implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "机构id")
    private Long orgId;

    @ApiModelProperty(value = "机构编码")
    private String orgCode;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试id")
    private Long examId;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "考试结束时间")
    private Long examEndTime;

    @ApiModelProperty(value = "视频是否删除，0：已删除，1：未删除")
    private Boolean videoDelete;

    @ApiModelProperty(value = "视频删除时间")
    private Long videoDeleteTime;

    @ApiModelProperty(value = "存储时长")
    private Integer saveTime;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Boolean getVideoDelete() {
        return videoDelete;
    }

    public void setVideoDelete(Boolean videoDelete) {
        this.videoDelete = videoDelete;
    }

    public Long getVideoDeleteTime() {
        return videoDeleteTime;
    }

    public void setVideoDeleteTime(Long videoDeleteTime) {
        this.videoDeleteTime = videoDeleteTime;
    }

    public Integer getSaveTime() {
        return saveTime;
    }

    public void setSaveTime(Integer saveTime) {
        this.saveTime = saveTime;
    }
}
